SitePoint Sponsor

User Tag List

Results 1 to 5 of 5

Hybrid View

  1. #1
    SitePoint Enthusiast
    Join Date
    Dec 2006
    Posts
    87
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)

    Simply Rails 2 - Installing SQLite Problem

    I am having a problem following the instructions in the book, everything has gone fine up until I have to install SQlite

    I get up to the point where I have to write

    Code:
    $ ./configure --prefix=/usr/local

    After writing that and pressing enter it then comes up with this error message and I can't go any further

    Code:
    checking build system type... i386-apple-darwin9.4.0
    checking host system type... i386-apple-darwin9.4.0
    checking for gcc... no
    checking for cc... no
    checking for cc... no
    checking for cl... no
    configure: error: no acceptable C compiler found in $PATH
    See `config.log' for more details.
    Am I doing something wrong or is the book misprinted or something?

    Thanks

  2. #2
    SitePoint Addict ruby-lang's Avatar
    Join Date
    Aug 2007
    Posts
    389
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Mac OS? You'll probably need to install gcc. Have you tried opening the 'config.log' file? It should have more details, like what is the minimum version you'll need.

  3. #3
    SitePoint Enthusiast
    Join Date
    Dec 2006
    Posts
    87
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Yeah sorry on Mac OSX 10.5.4

    Why would it not work how the book shows? Seems a bit unprofessional

  4. #4
    SitePoint Member
    Join Date
    Aug 2008
    Posts
    2
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    Did you install the apple developer tools? I had a similar problem until i went and istalled the xcode files from apple's site (the address is in a footnote on the page or two before you ran into your problem. Not sure if that's the answer but it helped me.

  5. #5
    SitePoint Enthusiast
    Join Date
    Dec 2006
    Posts
    87
    Mentioned
    0 Post(s)
    Tagged
    0 Thread(s)
    No I didn't install x code. The instructions in the book (which are not very clear to be honest) gave the impression I could skip all of that and all I would need to do is update my rails installation. I'll install x code and see if that helps.

    I think it would help if the author had updated this problem on the books website as I have seen a number of people running into this problem.

    Thanks for the reply michael2727


Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •